﻿''' <summary>
''' Contains data for connection-related events.
''' </summary>
Public Class ConnectionEventArgs
    Inherits EventArgs

    ''' <summary>
    ''' Information about the remote host.
    ''' </summary>
    Private ReadOnly _host As HostInfo


    ''' <summary>
    ''' Gets information about the remote host.
    ''' </summary>
    ''' <value>
    ''' A <see cref="HostInfo" /> object representing the remote host.
    ''' </value>
    Public ReadOnly Property Host() As HostInfo
        Get
            Return Me._host
        End Get
    End Property


    ''' <summary>
    ''' Creates a new instance of the <see cref="ConnectionEventArgs" /> class.
    ''' </summary>
    ''' <param name="host">
    ''' The remote host.
    ''' </param>
    Public Sub New(ByVal host As HostInfo)
        Me._host = host
    End Sub

End Class
