﻿''' <summary>
''' Contains data for the <see cref="MessageClientServerBase.MessageReceived">MessageReceived</see> event.
''' </summary>
Public Class MessageReceivedEventArgs
    Inherits ConnectionEventArgs

    ''' <summary>
    ''' The message that was received.
    ''' </summary>
    Private ReadOnly _message As String


    ''' <summary>
    ''' Gets the message that was received.
    ''' </summary>
    ''' <value>
    ''' A <b>String</b> containing a message.
    ''' </value>
    Public ReadOnly Property Message() As String
        Get
            Return Me._message
        End Get
    End Property


    ''' <summary>
    ''' Creates a new instance of the <see cref="MessageReceivedEventArgs" /> class.
    ''' </summary>
    ''' <param name="host">
    ''' The remote host.
    ''' </param>
    ''' <param name="message">
    ''' The message that was received.
    ''' </param>
    Public Sub New(ByVal host As HostInfo, ByVal message As String)
        MyBase.New(host)
        Me._message = message
    End Sub

End Class
